SDL_BlitSurfaceUnchecked(3)

NAME
SDL_BlitSurfaceUnchecked - Perform low-level surface blitting only.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_BlitSurfaceUnchecked(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect);

DESCRIPTION
This is a semi-private blit function and it performs low-level surface blitting, assuming the input rectangles have already been clipped.

FUNCTION PARAMETERS

src the SDL_Surface
     structure to be copied from

srcrect
    the SDL_Rect
     structure representing the rectangle to be copied, or NULL to copy the entire surface

dst the SDL_Surface
     structure that is the blit target

dstrect
    the SDL_Rect
     structure representing the target rectangle in the destination surface

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_BlitSurface(3)